#include<bits/stdc++.h>

using namespace std;

int main(){
	
	ios_base::sync_with_stdio(false);
	cin.tie(NULL) ; cout.tie(NULL) ;
	
	int t;
	int rez[10];
	cin>>t;
	unsigned long long int n,m,k,br,ukup,ostatak,ukup_1,ukup_2;
	
	for(int i=0;i<t;i++){
		
		cin>>n>>m>>k;
		
		if(n%k==0){
			
			br=n/k;
			
			ukup=k*(br*(br+1)/2);
			
			
			if(m>=ukup){
				
				rez[i]=1;
			}else{
				rez[i]=0;
			}
		}else{
			
			
			br=n/k;
			ostatak=n%k;
			ukup_1=k*(br*(br+1)/2);
			ukup_2=ostatak*(ostatak+1)/2;
			ukup=ukup_1+ukup_2;
			//cout<<"broj po grupi:"<<br<<endl<<"kolko grupa takvih:"<<k<<endl<<"Rezultat koji treba da glasi: br grupa * (broj po grupi * (broj po grupi+1)/2)+(ostatak+1)/2:"<<ukup<<endl<<"Ostatak:"<<ostatak<<endl;
			
			if(m>=ukup){
				
				rez[i]=1;
			
			}else{
				rez[i]=0;
			}
		}
		
		
		
	}
	for(int i=0;i<t;i++){
		
		if(rez[i]==1){
			cout<<"Tak"<<endl;
		}else{
			cout<<"Nie"<<endl;
		}
	}
	return 0;
	
}